Jump to content

new setup of forge-environment doesn't work


aligator123456
 Share

Recommended Posts

hi

 

I installed a new forge-environment with the install.sh (I'm using Linux)

 

If I open it with eclipse, and start it (with the green Run-Button), an error occours:

 

 

2013-04-05 13:46:06 [iNFO] [ForgeModLoader] Forge Mod Loader version 5.1.8.611 for Minecraft 1.5.1 loading
2013-04-05 13:46:06 [iNFO] [ForgeModLoader] Java is Java HotSpot(TM) 64-Bit Server VM, version 1.7.0_17, running on Linux:amd64:3.5.0-26-generic, installed at /opt/Oracle_Java/jre1.7.0_17
2013-04-05 13:46:06 [iNFO] [ForgeModLoader] Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation
2013-04-05 13:46:12 [iNFO] [sTDERR] java.lang.reflect.InvocationTargetException
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.lang.reflect.Method.invoke(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at cpw.mods.fml.relauncher.FMLRelauncher.relaunchClient(FMLRelauncher.java:123)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at cpw.mods.fml.relauncher.FMLRelauncher.handleClientRelaunch(FMLRelauncher.java:38)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at net.minecraft.client.Minecraft.main(Minecraft.java:2228)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at Start.main(Start.java:29)
2013-04-05 13:46:12 [iNFO] [sTDERR] Caused by: java.lang.UnsatisfiedLinkError: /home/johannes/Dropbox/Programming/Java/Minecraft/Forge/forge/mcp/jars/bin/natives/liblwjgl.so: /home/johannes/Dropbox/Programming/Java/Minecraft/Forge/forge/mcp/jars/bin/natives/liblwjgl.so: falsche ELF-Klasse: ELFCLASS32 (Possible cause: architecture word width mismatch)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.lang.ClassLoader$NativeLibrary.load(Native Method)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.lang.ClassLoader.loadLibrary1(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.lang.ClassLoader.loadLibrary0(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.lang.ClassLoader.loadLibrary(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.lang.Runtime.loadLibrary0(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.lang.System.loadLibrary(Unknown Source)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at org.lwjgl.Sys$1.run(Sys.java:72)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at java.security.AccessController.doPrivileged(Native Method)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at org.lwjgl.Sys.doLoadLibrary(Sys.java:65)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at org.lwjgl.Sys.loadLibrary(Sys.java:81)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at org.lwjgl.Sys.<clinit>(Sys.java:98)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at net.minecraft.client.Minecraft.getSystemTime(Minecraft.java:2559)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	at net.minecraft.client.Minecraft.fmlReentry(Minecraft.java:2238)
2013-04-05 13:46:12 [iNFO] [sTDERR] 	... 8 more

 

 

How can I fix this?

 

I couldn't find anything helpfull with google.

 

aligator123456

Link to comment
Share on other sites

The only thing I can think of is that you are trying to use a 32 bit version of "X" with a 64 bit version of "Y".

 

According to the log you posted, it looks like you have a 64 bit version of Java and Linux.  Check the version of Eclipse and make sure that you are not running a 32 bit version of that.

If your Eclipse IS 64 bit, check to see if you have a legacy version of 32 bit java installed on your computer.  Sometimes if the paths are not properly set, it will try the 32 bit version first (which will fail).  Check the environmet variables to see if 32 bit Java is listed first.

Link to comment
Share on other sites

I've been reading up on the issue on a few forums and the common concensus is that somehow you have a 32 bit version of the lwjgl.  Something automatically downloaded the wrong versions.  In addition to the script to launch Minecraft with the export path, it has been suggested to go to the lwjgl website and directly downloading the newest version there, then overwriting your old library files with the new ones.

 

Go here: http://lwjgl.org/  and give that a try. 

 

If all else fails, other people seen to have had success by using an alternate version of Java (i.e. icedtea).  It seems that some distro's have trouble with some java packages.  Your other post says you use Kubuntu, and you are using the Oracle package of Java...  Perhapse uninstalling the Oracle one and installing a different version may help. 

Link to comment
Share on other sites

Caused by: java.lang.UnsatisfiedLinkError

 

This exception has to do with native libraries (JNI), and is a generic exception for "something went wrong when locating and bringing online a native library that is tied to a java library".

 

ELFCLASS32 (Possible cause: architecture word width mismatch)

 

ELF is the default binary format for most NIX types systems (hence the .SO file extension), and the error message "Architecture word with mismatch" suggests a word is the wrong size. Some implementations make words 16, others make them 32 (usually 32-bit vs 64-bit architectures, respectively).

 

More than likely your java environment is being run in 64-bit mode while trying to load the 32-bit LWJGL libraries, which cannot be done.

 

If you're running in Eclipse, make sure to get the lwjgl64 natives for your platform (most likely lwjgl64.so), right click on your project, go to Build Path->Configure Build Path, go to Libraries, find lwjgl.jar and click the arrow on the left, look at "Native Libraries" and edit the path to the native library folder. If everything works okay, it should run.

 

Another thing to try (assuming regular minecraft works on your computer) is to change the native library path for lwjgl.jar in your project settings to your minecraft directory (not sure what it is on linux/mac, but on windows it's your %appdata%\.minecraft folder) and see if that works.

Link to comment
Share on other sites

OK, I tried to use the 64-bit-libs (I used the librarys of  http://lwjgl.org/ and of minecraft).

 

It did not work.

 

 

tomorrow I will try to use a 32-bit java, eclipse and lwjgl. I hope this works.

 

edit: now I tried to use the 64-bit eclipse, but I set in the propertys to  use a 32-bit java.

 

Now I get this error:

 

 

2013-04-07 21:58:47 [iNFO] [ForgeModLoader] Forge Mod Loader version 5.1.16.639 for Minecraft 1.5.1 loading
2013-04-07 21:58:47 [iNFO] [ForgeModLoader] Java is Java HotSpot(TM) Server VM, version 1.7.0_17, running on Linux:i386:3.5.0-26-generic, installed at /home/johannes/Downloads/jdk1.7.0_17-i586/jdk1.7.0_17/jre
2013-04-07 21:58:47 [iNFO] [ForgeModLoader] Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation
2013-04-07 21:58:49 [iNFO] [sTDERR] java.lang.reflect.InvocationTargetException
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.lang.reflect.Method.invoke(Method.java:601)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at cpw.mods.fml.relauncher.FMLRelauncher.relaunchClient(FMLRelauncher.java:123)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at cpw.mods.fml.relauncher.FMLRelauncher.handleClientRelaunch(FMLRelauncher.java:38)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at net.minecraft.client.Minecraft.main(Minecraft.java:2228)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at Start.main(Start.java:29)
2013-04-07 21:58:49 [iNFO] [sTDERR] Caused by: java.lang.UnsatisfiedLinkError: /home/johannes/Dropbox/Programming/Java/Minecraft/Forge/forge/mcp/jars/bin/natives/liblwjgl.so: libjawt.so: Kann die Shared-Object-Datei nicht öffnen: Datei oder Verzeichnis nicht gefunden
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.lang.ClassLoader$NativeLibrary.load(Native Method)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.lang.ClassLoader.loadLibrary1(ClassLoader.java:1939)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1864)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1854)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.lang.Runtime.loadLibrary0(Runtime.java:845)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.lang.System.loadLibrary(System.java:1084)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at org.lwjgl.Sys$1.run(Sys.java:72)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at java.security.AccessController.doPrivileged(Native Method)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at org.lwjgl.Sys.doLoadLibrary(Sys.java:65)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at org.lwjgl.Sys.loadLibrary(Sys.java:81)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at org.lwjgl.Sys.<clinit>(Sys.java:98)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at net.minecraft.client.Minecraft.getSystemTime(Minecraft.java:2559)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	at net.minecraft.client.Minecraft.fmlReentry(Minecraft.java:2238)
2013-04-07 21:58:49 [iNFO] [sTDERR] 	... 8 more
[/spoiler]

Link to comment
Share on other sites

  • 2 months later...

I had the same problem. I run Ubuntu 12.04 64 bit (and a gforce graphics card which generated it's own long trail of problems for running minecraft). It works now for me though. I had the same problem as with normally starting minecraft in the beginning, minecraft would just crash. Had to download and deploy the newest lwjgl libraries in ~/.minecraft.

 

When I copied those .jar files and the native folder from my ~/.minecraft to forge/mcp/jars/bin, it did work: I can hit run in eclipse and have the minecraft client popping up.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.